=== debian/changelog ===
ros-iron-rclc-lifecycle (5.0.1-1jammy) jammy; urgency=high

  * no changes

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Wed, 14 Jun 2023 22:00:00 -0000

ros-iron-rclc-lifecycle (3.0.9-1jammy) jammy; urgency=high

  * Added documentation (#301)

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 21 Mar 2023 23:00:00 -0000

ros-iron-rclc-lifecycle (3.0.8-1jammy) jammy; urgency=high

  * Fix rclc lifecyle header (#279) (#281)

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Wed, 13 Apr 2022 22:00:00 -0000

ros-iron-rclc-lifecycle (3.0.7-1jammy) jammy; urgency=high

  * no changes

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Wed, 16 Feb 2022 23:00:00 -0000

ros-iron-rclc-lifecycle (3.0.6-1jammy) jammy; urgency=high

  * Create service context in main (#224)

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Mon, 24 Jan 2022 23:00:00 -0000

ros-iron-rclc-lifecycle (3.0.5-1jammy) jammy; urgency=high

  * no change

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Mon, 22 Nov 2021 23:00:00 -0000

ros-iron-rclc-lifecycle (3.0.4-1jammy) jammy; urgency=high

  * Provide lifecycle services in the rclc lifecycle nodes (#51)

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 16 Nov 2021 23:00:00 -0000

ros-iron-rclc-lifecycle (3.0.3-1jammy) jammy; urgency=high

  * Version bump

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 27 Jul 2021 22:00:00 -0000

ros-iron-rclc-lifecycle (3.0.2-1jammy) jammy; urgency=high

  * Version bump

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Sun, 25 Jul 2021 22:00:00 -0000

ros-iron-rclc-lifecycle (3.0.1-1jammy) jammy; urgency=high

  * Added quality declaration statement

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Fri, 16 Jul 2021 22:00:00 -0000

ros-iron-rclc-lifecycle (2.0.0-1jammy) jammy; urgency=high

  * added codecov support
  * new API of rcl_lifecycle in Rolling required major version bump

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Thu, 22 Apr 2021 22:00:00 -0000

ros-iron-rclc-lifecycle (1.0.1-1jammy) jammy; urgency=high

  * Windows port
  * Compatibility sleep function (Windows, POSIX-OS)
  * Fixed RCL lifecycle API change for Rolling

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Sun, 28 Mar 2021 22:00:00 -0000

ros-iron-rclc-lifecycle (1.0.0-1jammy) jammy; urgency=high

  * Updated version

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Wed, 03 Mar 2021 23:00:00 -0000

ros-iron-rclc-lifecycle (0.1.7-1jammy) jammy; urgency=high

  * Updated version

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 19 Jan 2021 23:00:00 -0000

ros-iron-rclc-lifecycle (0.1.6-1jammy) jammy; urgency=high

  * Updated version

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 19 Jan 2021 23:00:00 -0000

ros-iron-rclc-lifecycle (0.1.5-1jammy) jammy; urgency=high

  * Updated version

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Thu, 10 Dec 2020 23:00:00 -0000

ros-iron-rclc-lifecycle (0.1.4-1jammy) jammy; urgency=high

  * Fixed error in bloom release

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 24 Nov 2020 23:00:00 -0000

ros-iron-rclc-lifecycle (0.1.3-1jammy) jammy; urgency=high

  * Aligned version number to rclc repository

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Sun, 22 Nov 2020 23:00:00 -0000

ros-iron-rclc-lifecycle (0.1.0-1jammy) jammy; urgency=high

  * Initial release

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Sun, 22 Nov 2020 23:00:00 -0000
