=== debian/control ===
Source: ros-iron-rclc-lifecycle
Section: misc
Priority: optional
Maintainer: Jan Staschulat <jan.staschulat@de.bosch.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-cmake-ros, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-lifecycle-msgs, ros-iron-osrf-testing-tools-cpp <!nocheck>, ros-iron-rcl-lifecycle, ros-iron-rclc, ros-iron-std-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rclc-lifecycle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-lifecycle-msgs, ros-iron-rcl-lifecycle, ros-iron-rclc, ros-iron-std-msgs, ros-iron-ros-workspace
Description: rclc lifecycle convenience methods.
